"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.primeTriStateCheckboxDefinition = exports.primeTreeSelectDefinition = exports.primeToggleButtonDefinition = exports.primeTextareaDefinition = exports.primeSliderDefinition = exports.primeSelectButtonDefinition = exports.primeRatingDefinition = exports.primeRadioButtonDefinition = exports.primePasswordDefinition = exports.primeMultiSelectDefinition = exports.primeListboxDefinition = exports.primeKnobDefinition = exports.primeInputs = exports.primeInputTextDefinition = exports.primeInputSwitchDefinition = exports.primeInputNumberDefinition = exports.primeInputMaskDefinition = exports.primeEditorDefinition = exports.primeDropdownDefinition = exports.primeColorPickerDefinition = exports.primeChipsDefinition = exports.primeCheckboxDefinition = exports.primeCascadeSelectDefinition = exports.primeCalendarDefinition = exports.primeAutoCompleteDefinition = exports.default = void 0;
Object.defineProperty(exports, "useFormKitSchema", {
  enumerable: true,
  get: function () {
    return _composables.useFormKitSchema;
  }
});
var _vue = require("@formkit/vue");
var _PrimeAutoComplete = _interopRequireDefault(require("./components/PrimeAutoComplete.vue"));
var _PrimeCalendar = _interopRequireDefault(require("./components/PrimeCalendar.vue"));
var _PrimeCascadeSelect = _interopRequireDefault(require("./components/PrimeCascadeSelect.vue"));
var _PrimeCheckbox = _interopRequireDefault(require("./components/PrimeCheckbox.vue"));
var _PrimeChips = _interopRequireDefault(require("./components/PrimeChips.vue"));
var _PrimeColorPicker = _interopRequireDefault(require("./components/PrimeColorPicker.vue"));
var _PrimeDropdown = _interopRequireDefault(require("./components/PrimeDropdown.vue"));
var _PrimeEditor = _interopRequireDefault(require("./components/PrimeEditor.vue"));
var _PrimeInputMask = _interopRequireDefault(require("./components/PrimeInputMask.vue"));
var _PrimeInputNumber = _interopRequireDefault(require("./components/PrimeInputNumber.vue"));
var _PrimeInputSwitch = _interopRequireDefault(require("./components/PrimeInputSwitch.vue"));
var _PrimeInputText = _interopRequireDefault(require("./components/PrimeInputText.vue"));
var _PrimeTextarea = _interopRequireDefault(require("./components/PrimeTextarea.vue"));
var _PrimeKnob = _interopRequireDefault(require("./components/PrimeKnob.vue"));
var _PrimeMultiSelect = _interopRequireDefault(require("./components/PrimeMultiSelect.vue"));
var _PrimeListbox = _interopRequireDefault(require("./components/PrimeListbox.vue"));
var _PrimePassword = _interopRequireDefault(require("./components/PrimePassword.vue"));
var _PrimeRadioButton = _interopRequireDefault(require("./components/PrimeRadioButton.vue"));
var _PrimeRating = _interopRequireDefault(require("./components/PrimeRating.vue"));
var _PrimeSlider = _interopRequireDefault(require("./components/PrimeSlider.vue"));
var _PrimeToggleButton = _interopRequireDefault(require("./components/PrimeToggleButton.vue"));
var _PrimeTreeSelect = _interopRequireDefault(require("./components/PrimeTreeSelect.vue"));
var _PrimeSelectButton = _interopRequireDefault(require("./components/PrimeSelectButton.vue"));
var _PrimeTriStateCheckbox = _interopRequireDefault(require("./components/PrimeTriStateCheckbox.vue"));
var _composables = require("./composables");
var components = _interopRequireWildcard(require("./components"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const install = {
  install(app) {
    for (const key of Object.keys(components)) app.component(key, components[key]);
  }
};
module.exports = install;
const primeAutoCompleteDefinition = exports.primeAutoCompleteDefinition = (0, _vue.createInput)(_PrimeAutoComplete.default, {
  props: []
});
const primeInputTextDefinition = exports.primeInputTextDefinition = (0, _vue.createInput)(_PrimeInputText.default, {
  props: ["icon", "icon"]
});
const primeInputNumberDefinition = exports.primeInputNumberDefinition = (0, _vue.createInput)(_PrimeInputNumber.default, {
  props: ["icon", "icon"]
});
const primeInputMaskDefinition = exports.primeInputMaskDefinition = (0, _vue.createInput)(_PrimeInputMask.default, {
  props: []
});
const primePasswordDefinition = exports.primePasswordDefinition = (0, _vue.createInput)(_PrimePassword.default, {
  props: ["feedback", "toggleMask"]
});
const primeTextareaDefinition = exports.primeTextareaDefinition = (0, _vue.createInput)(_PrimeTextarea.default, {
  props: ["rows"]
});
const primeCheckboxDefinition = exports.primeCheckboxDefinition = (0, _vue.createInput)(_PrimeCheckbox.default, {
  props: []
});
const primeInputSwitchDefinition = exports.primeInputSwitchDefinition = (0, _vue.createInput)(_PrimeInputSwitch.default, {
  props: []
});
const primeEditorDefinition = exports.primeEditorDefinition = (0, _vue.createInput)(_PrimeEditor.default, {
  props: []
});
const primeDropdownDefinition = exports.primeDropdownDefinition = (0, _vue.createInput)(_PrimeDropdown.default, {
  props: []
});
const primeMultiSelectDefinition = exports.primeMultiSelectDefinition = (0, _vue.createInput)(_PrimeMultiSelect.default, {
  props: []
});
const primeListboxDefinition = exports.primeListboxDefinition = (0, _vue.createInput)(_PrimeListbox.default, {
  props: []
});
const primeCalendarDefinition = exports.primeCalendarDefinition = (0, _vue.createInput)(_PrimeCalendar.default, {
  props: []
});
const primeSliderDefinition = exports.primeSliderDefinition = (0, _vue.createInput)(_PrimeSlider.default, {
  props: []
});
const primeRatingDefinition = exports.primeRatingDefinition = (0, _vue.createInput)(_PrimeRating.default, {
  props: []
});
const primeRadioButtonDefinition = exports.primeRadioButtonDefinition = (0, _vue.createInput)(_PrimeRadioButton.default, {
  props: []
});
const primeChipsDefinition = exports.primeChipsDefinition = (0, _vue.createInput)(_PrimeChips.default, {
  props: []
});
const primeKnobDefinition = exports.primeKnobDefinition = (0, _vue.createInput)(_PrimeKnob.default, {
  props: []
});
const primeColorPickerDefinition = exports.primeColorPickerDefinition = (0, _vue.createInput)(_PrimeColorPicker.default, {
  props: []
});
const primeToggleButtonDefinition = exports.primeToggleButtonDefinition = (0, _vue.createInput)(_PrimeToggleButton.default, {
  props: []
});
const primeSelectButtonDefinition = exports.primeSelectButtonDefinition = (0, _vue.createInput)(_PrimeSelectButton.default, {
  props: []
});
const primeTriStateCheckboxDefinition = exports.primeTriStateCheckboxDefinition = (0, _vue.createInput)(_PrimeTriStateCheckbox.default, {
  props: []
});
const primeCascadeSelectDefinition = exports.primeCascadeSelectDefinition = (0, _vue.createInput)(_PrimeCascadeSelect.default, {
  props: []
});
const primeTreeSelectDefinition = exports.primeTreeSelectDefinition = (0, _vue.createInput)(_PrimeTreeSelect.default, {
  props: []
});
const primeInputs = exports.primeInputs = {
  primeAutoComplete: primeAutoCompleteDefinition,
  primeInputText: primeInputTextDefinition,
  primeInputNumber: primeInputNumberDefinition,
  primeInputMask: primeInputMaskDefinition,
  primePassword: primePasswordDefinition,
  primeCheckbox: primeCheckboxDefinition,
  primeInputSwitch: primeInputSwitchDefinition,
  primeTextarea: primeTextareaDefinition,
  primeEditor: primeEditorDefinition,
  primeDropdown: primeDropdownDefinition,
  primeMultiSelect: primeMultiSelectDefinition,
  primeCalendar: primeCalendarDefinition,
  primeSlider: primeSliderDefinition,
  primeChips: primeChipsDefinition,
  primeKnob: primeKnobDefinition,
  primeRating: primeRatingDefinition,
  primeRadioButton: primeRadioButtonDefinition,
  primeColorPicker: primeColorPickerDefinition,
  primeToggleButton: primeToggleButtonDefinition,
  primeListbox: primeListboxDefinition,
  primeSelectButton: primeSelectButtonDefinition,
  primeTriStateCheckbox: primeTriStateCheckboxDefinition,
  primeCascadeSelect: primeCascadeSelectDefinition,
  primeTreeSelect: primeTreeSelectDefinition
};