import { createInput } from "@formkit/vue";
import PrimeAutoComplete from "./components/PrimeAutoComplete.vue";
import PrimeCalendar from "./components/PrimeCalendar.vue";
import PrimeCascadeSelect from "./components/PrimeCascadeSelect.vue";
import PrimeCheckbox from "./components/PrimeCheckbox.vue";
import PrimeChips from "./components/PrimeChips.vue";
import PrimeColorPicker from "./components/PrimeColorPicker.vue";
import PrimeDropdown from "./components/PrimeDropdown.vue";
import PrimeEditor from "./components/PrimeEditor.vue";
import PrimeInputMask from "./components/PrimeInputMask.vue";
import PrimeInputNumber from "./components/PrimeInputNumber.vue";
import PrimeInputSwitch from "./components/PrimeInputSwitch.vue";
import PrimeInputText from "./components/PrimeInputText.vue";
import PrimeTextarea from "./components/PrimeTextarea.vue";
import PrimeKnob from "./components/PrimeKnob.vue";
import PrimeMultiSelect from "./components/PrimeMultiSelect.vue";
import PrimeListbox from "./components/PrimeListbox.vue";
import PrimePassword from "./components/PrimePassword.vue";
import PrimeRadioButton from "./components/PrimeRadioButton.vue";
import PrimeRating from "./components/PrimeRating.vue";
import PrimeSlider from "./components/PrimeSlider.vue";
import PrimeToggleButton from "./components/PrimeToggleButton.vue";
import PrimeTreeSelect from "./components/PrimeTreeSelect.vue";
import PrimeSelectButton from "./components/PrimeSelectButton.vue";
import PrimeTriStateCheckbox from "./components/PrimeTriStateCheckbox.vue";
import { useFormKitSchema } from "./composables/index.mjs";
import * as components from "./components/index.mjs";
const install = {
  install(app) {
    for (const key of Object.keys(components))
      app.component(key, components[key]);
  }
};
export default install;
export const primeAutoCompleteDefinition = createInput(PrimeAutoComplete, {
  props: []
});
export const primeInputTextDefinition = createInput(PrimeInputText, {
  props: ["icon", "icon"]
});
export const primeInputNumberDefinition = createInput(PrimeInputNumber, {
  props: ["icon", "icon"]
});
export const primeInputMaskDefinition = createInput(PrimeInputMask, {
  props: []
});
export const primePasswordDefinition = createInput(PrimePassword, {
  props: ["feedback", "toggleMask"]
});
export const primeTextareaDefinition = createInput(PrimeTextarea, {
  props: ["rows"]
});
export const primeCheckboxDefinition = createInput(PrimeCheckbox, {
  props: []
});
export const primeInputSwitchDefinition = createInput(PrimeInputSwitch, {
  props: []
});
export const primeEditorDefinition = createInput(PrimeEditor, {
  props: []
});
export const primeDropdownDefinition = createInput(PrimeDropdown, {
  props: []
});
export const primeMultiSelectDefinition = createInput(PrimeMultiSelect, {
  props: []
});
export const primeListboxDefinition = createInput(PrimeListbox, {
  props: []
});
export const primeCalendarDefinition = createInput(PrimeCalendar, {
  props: []
});
export const primeSliderDefinition = createInput(PrimeSlider, {
  props: []
});
export const primeRatingDefinition = createInput(PrimeRating, {
  props: []
});
export const primeRadioButtonDefinition = createInput(PrimeRadioButton, {
  props: []
});
export const primeChipsDefinition = createInput(PrimeChips, {
  props: []
});
export const primeKnobDefinition = createInput(PrimeKnob, {
  props: []
});
export const primeColorPickerDefinition = createInput(PrimeColorPicker, {
  props: []
});
export const primeToggleButtonDefinition = createInput(PrimeToggleButton, {
  props: []
});
export const primeSelectButtonDefinition = createInput(PrimeSelectButton, {
  props: []
});
export const primeTriStateCheckboxDefinition = createInput(PrimeTriStateCheckbox, {
  props: []
});
export const primeCascadeSelectDefinition = createInput(PrimeCascadeSelect, {
  props: []
});
export const primeTreeSelectDefinition = createInput(PrimeTreeSelect, {
  props: []
});
export const primeInputs = {
  primeAutoComplete: primeAutoCompleteDefinition,
  primeInputText: primeInputTextDefinition,
  primeInputNumber: primeInputNumberDefinition,
  primeInputMask: primeInputMaskDefinition,
  primePassword: primePasswordDefinition,
  primeCheckbox: primeCheckboxDefinition,
  primeInputSwitch: primeInputSwitchDefinition,
  primeTextarea: primeTextareaDefinition,
  primeEditor: primeEditorDefinition,
  primeDropdown: primeDropdownDefinition,
  primeMultiSelect: primeMultiSelectDefinition,
  primeCalendar: primeCalendarDefinition,
  primeSlider: primeSliderDefinition,
  primeChips: primeChipsDefinition,
  primeKnob: primeKnobDefinition,
  primeRating: primeRatingDefinition,
  primeRadioButton: primeRadioButtonDefinition,
  primeColorPicker: primeColorPickerDefinition,
  primeToggleButton: primeToggleButtonDefinition,
  primeListbox: primeListboxDefinition,
  primeSelectButton: primeSelectButtonDefinition,
  primeTriStateCheckbox: primeTriStateCheckboxDefinition,
  primeCascadeSelect: primeCascadeSelectDefinition,
  primeTreeSelect: primeTreeSelectDefinition
};
export {
  useFormKitSchema
};
